# $Revision: 1.19 $, $Date: 2007/03/13 09:33:42 $
Summary:	GUI interface for potrace
Summary(pl.UTF-8):	Graficzny interfejs dla potrace
Name:		potracegui
Version:	1.3.4
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/potracegui/%{name}-%{version}.tar.bz2
# Source0-md5:	fabd9f98cfb62048556d97d1b5d6402e
Source1:	%{name}.desktop
URL:		http://potracegui.sourceforge.net/
BuildRequires:	artsc-devel
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.0
BuildRequires:	qt-devel >= 3.0.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	potrace
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An GUI interface for potrace. It collects informations in an easy way
and then it launches potrace with all the relevant options.

%description -l pl.UTF-8
Graficzny interfejs użytkownika dla potrace pobierający w prosty
sposób informacje, a następnie uruchamiający potrace z odpowiednimi
opcjami.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* admin
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/potracegui
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: potracegui.spec,v $
Revision 1.19  2007/03/13 09:33:42  pluto
- revert bogus boost-* BRs.

Revision 1.18  2007/03/13 08:46:53  troll
- updated to 1.3.4
- BR: boost-filesystem-devel, boost-regex-devel

Revision 1.17  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.15  2006/09/07 21:42:13  piti
- up to 1.3.2

Revision 1.14  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.13  2004/12/25 17:40:51  qboosh
- unified

Revision 1.12  2004/12/22 18:42:45  yogib
- update to 1.2, switched to osdn.dl.sourcefourge

Revision 1.11  2004/12/12 15:55:07  yogib
- dropped Source0-size

Revision 1.10  2004/12/12 15:42:55  yogib
- updated to 1.1

Revision 1.9  2004/11/05 12:29:24  paladine
- rel 2 for fixed desktop file

Revision 1.8  2004/06/06 15:07:44  qboosh
- fixed build on amd64

Revision 1.7  2004/06/06 08:20:51  yogib
- updated to 0.5.1

Revision 1.6  2004/02/01 16:15:57  yogib
- up to 0.3, changed Source0 URL

Revision 1.5  2003/12/27 18:16:07  qboosh
- BR proper rpm macros for _kdedocdir

Revision 1.4  2003/12/27 15:01:17  qboosh
- fixed files (don't own icons dirs, added kde doc)
- don't touch only part of ac/am resources, it can cause only breakage

Revision 1.3  2003/12/26 23:44:30  deejay1
- fixed .desktop
- proper Group field
- cosmetics
- rel up

Revision 1.2  2003/12/26 23:16:55  deejay1
- BR: kdelibs-devel & artsc-devel

Revision 1.1  2003/12/24 23:00:31  yogib
- initial version
